%define upstream_name    App-cpanminus
%define upstream_version 1.4004

Name:       cpanminus
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get, unpack, build and install modules from CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Install) >= 1.460.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildArch:  noarch

Obsoletes:  perl-App-cpanminus
Provides:   perl-App-cpanminus

%description
cpanminus is a script to get, unpack, build and install modules from CPAN.

Why? It's dependency free, requires zero configuration, and stands alone --
but it's maintainable and extensible with plugins and friendly to shell
scripting. When running, it requires only 10MB of RAM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_bindir}/cpanm
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Apr 05 2011 jquelin <jquelin> 1.400.400-2.mga1
+ Revision: 80716
- adding provides: to fully remove perl-app-cpanminus

* Sun Mar 13 2011 jquelin <jquelin> 1.400.400-1.mga1
+ Revision: 70535
- update to 1.4004

* Thu Mar 10 2011 jquelin <jquelin> 1.400.300-1.mga1
+ Revision: 67656
- update to 1.4003

* Mon Feb 21 2011 jquelin <jquelin> 1.200.100-1.mga1
+ Revision: 55461
- update to 1.2001

* Thu Feb 10 2011 jquelin <jquelin> 1.100.800-1.mga1
+ Revision: 49779
- update to 1.1008
- imported package cpanminus

